Bug 312561 - Thinko in dtomcat5
Thinko in dtomcat5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 16:43 EDT by Ville Skyttä
Modified: 2008-02-13 00:14 EST (History)
0 users

See Also:
Fixed In Version: 5.5.26-1jpp.2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:55:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-09-29 16:43:54 EDT
dtomcat5 does this:

    JAVA=`which java`
    if [ -z "$JAVA" ] ; then
        JAVA_BINDIR=`dirname ${JAVA}`
        JAVA_HOME="${JAVA_BINDIR}/.."
    fi

The -z should obviously be -n.  Also, I suppose adding a dependency on "which"
or redirecting the stderr to /dev/null when it's not available would not hurt.
Comment 1 Devrim GUNDUZ 2008-01-05 07:25:05 EST
Thanks. Updated the patch. It will appear in next tomcat build.

Regards, Devrim
Comment 2 Fedora Update System 2008-01-06 20:23:37 EST
tomcat5-5.5.25-2jpp.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'
Comment 3 Fedora Update System 2008-01-06 20:28:27 EST
tomcat5-5.5.25-2jpp.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat5'
Comment 4 Fedora Update System 2008-02-08 19:31:33 EST
tomcat5-5.5.26-1jpp.1.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-08 19:34:54 EST
tomcat5-5.5.26-1jpp.1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-12 15:31:50 EST
tomcat5-5.5.26-1jpp.2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-02-12 15:33:56 EST
tomcat5-5.5.26-1jpp.2.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-02-12 23:54:42 EST
tomcat5-5.5.26-1jpp.2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-13 00:14:08 EST
tomcat5-5.5.26-1jpp.2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.